<?php
/*
 * 404 Template File
 */
get_header(); ?>
<div class="page-heading-blog">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="blog-breadcrumb">
                    <h4><?php _e('404 - Page Not Found', 'iparty'); ?></h4>
                </div>
            </div>
        </div>
    </div>
</div>
<?php if (have_posts()) :
    get_template_part('content');
else : ?>
    <section id="blogcontent">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-9">
                    <div class="blog-content-area fadeIn animated">
                        <div class="search-area">
                            <p class="spage">
                            <?php _e('Sorry, but nothing matched your search terms. Please try again with some different keywords', 'iparty'); ?>.</p>
                            <?php get_search_form(); ?>
                        </div>
                    </div>
                </div>
                <div><?php get_sidebar(); ?></div>
            </div>
        </div>
    </section>
<?php endif; get_footer(); ?>