<?php

/*
 * footer file
 */ ?>
<footer>
    <div id="footerMainBg" class="footerpadd">
        <div class="container">
            <div class="row">
                <div class="col-md-3">
                    <?php if (is_active_sidebar('footer-1')) {
                        dynamic_sidebar('footer-1');
                    } ?>
                </div>
                <div class="col-md-3">
                    <?php if (is_active_sidebar('footer-2')) {
                        dynamic_sidebar('footer-2');
                    } ?>
                </div>
                <div class="col-md-3">
                    <?php if (is_active_sidebar('footer-3')) {
                        dynamic_sidebar('footer-3');
                    } ?>
                </div>
                <div class="col-md-3">
                    <?php if (is_active_sidebar('footer-4')) {
                        dynamic_sidebar('footer-4');
                    } ?>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-copyright">
        <div class="container">
            <div class="row">
                <p><?php _e( 'Powered by', 'iparty' ); ?> <a href="<?php echo esc_url('https://indigothemes.com/products/iparty-wordpress-theme/'); ?>" target="_blank"><?php _e('iParty WordPress Theme','iparty'); ?></a></p>
                <div class="footer-social-icon">
                    <ul>
                        <?php if(get_theme_mod('iPartySocialIconOne') != '' && get_theme_mod('iPartySocialLinkOne') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkOne')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconOne')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconTwo') != '' && get_theme_mod('iPartySocialLinkTwo') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkTwo')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconTwo')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('iPartySocialIconThree') != '' && get_theme_mod('iPartySocialLinkThree') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkThree')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconThree')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconFour') != '' && get_theme_mod('iPartySocialLinkFour') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkFour')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconFour')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconFive') != '' && get_theme_mod('iPartySocialLinkFive') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkFive')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconFive')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconSix') != '' && get_theme_mod('iPartySocialLinkSix') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkSix')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconSix')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconSeven') != '' && get_theme_mod('iPartySocialLinkSeven') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkSeven')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconSeven')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconEight') != '' && get_theme_mod('iPartySocialLinkEight') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkEight')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconEight')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconNine') != '' && get_theme_mod('iPartySocialLinkNine') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkNine')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconNine')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif;
                        if(get_theme_mod('iPartySocialIconTen') != '' && get_theme_mod('iPartySocialLinkTen') != '') : ?>
                            <li><a href="<?php esc_url(get_theme_mod('iPartySocialLinkTen')); ?>"><i class="fa <?php echo esc_attr(get_theme_mod('iPartySocialIconTen')); ?>" aria-hidden="true"></i></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</footer>
<?php wp_footer(); ?>
</body>
</html>