<?php
/*
 * Enqueue css and js files
 */
function iPartyEnqueue() {
	$suffix = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';
	wp_enqueue_style('bootstrap', get_template_directory_uri() . '/assets/css/bootstrap'.$suffix.'.css', array());
	wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/css/font-awesome'.$suffix.'.css', array());
	wp_enqueue_style('iPartyFontPoppins', '//fonts.googleapis.com/css?family=Work+Sans:400,500,600,300', array());
	wp_enqueue_style('iPartyDefault', get_template_directory_uri() .'/assets/css/default.css', array());
	wp_enqueue_style('iPartyStyle', get_stylesheet_uri(), array());

	if (is_singular())
	    wp_enqueue_script("comment-reply");
	    wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap'.$suffix.'.js',false, array('jquery'));
	    wp_enqueue_script('iPartyScript', get_template_directory_uri() . '/assets/js/script.js',false, array('jquery'));
}
add_action( 'wp_enqueue_scripts', 'IpartyEnqueue' );