<?php
/**
* Customization options
**/
function iPartyCustomizeRegister( $wp_customize ) {
   //All our sections, settings, and controls will be added here
$wp_customize->add_section(
    'iPartySocialLinks',
    array(
            'title' => __('Social Accounts', 'iparty'),
            'description' => __('Enter the URL of your social accounts. Leave it empty to hide the icon.', 'iparty'),
    )
);
//Social One
$wp_customize->add_setting(
    'iPartySocialIconOne',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconOne',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 1', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkOne',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkOne',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 1', 'iparty' ),
        'type'       => 'text',
    )
);

//Social Two
$wp_customize->add_setting(
    'iPartySocialIconTwo',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconTwo',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 2', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkTwo',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkTwo',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 2', 'iparty' ),
        'type'       => 'text',
    )
);

//Social Three
$wp_customize->add_setting(
    'iPartySocialIconThree',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconThree',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 3', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkThree',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkThree',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 3', 'iparty' ),
        'type'       => 'text',
    )
);

//Social Four
$wp_customize->add_setting(
    'iPartySocialIconFour',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconFour',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 4', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkFour',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkFour',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 4', 'iparty' ),
        'type'       => 'text',
    )
);
//Social Five
$wp_customize->add_setting(
    'iPartySocialIconFive',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconFive',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 5', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkFive',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkFive',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 5', 'iparty' ),
        'type'       => 'text',
    )
);
//Social Six
$wp_customize->add_setting(
    'iPartySocialIconSix',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconSix',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 6', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkSix',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkSix',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 6', 'iparty' ),
        'type'       => 'text',
    )
);
//Social Seven
$wp_customize->add_setting(
    'iPartySocialIconSeven',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconSeven',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 7', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkSeven',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkSeven',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 7', 'iparty' ),
        'type'       => 'text',
    )
);
//Social Eight
$wp_customize->add_setting(
    'iPartySocialIconEight',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconEight',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 8', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkEight',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkEight',
    array(
        'section' => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 8', 'iparty' ),
        'type'       => 'text',
    )
);
//Social Nine
$wp_customize->add_setting(
    'iPartySocialIconNine',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconNine',
    array(
        'section' => 'iPartySocialLinks',
        'label'      => __( 'Social Icon 9', 'iparty' ),
        'type'       => 'text',
        'description' => __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkNine',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkNine',
    array(
        'section'    => 'iPartySocialLinks',
        'label'      =>   __( 'Social Link 9', 'iparty' ),
        'type'       => 'text',
    )
);
//Social Ten
$wp_customize->add_setting(
    'iPartySocialIconTen',
    array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'iPartySocialIconTen',
    array(
        'section'    => 'iPartySocialLinks',
        'label'      =>   __( 'Social Icon 10', 'iparty' ),
        'type'       => 'text',
        'description'=> __( 'Please add Font Awesome class here, which you can find <a target="_blank" href="https://fortawesome.github.io/Font-Awesome/icons/">here</a>', 'iparty' ),
    )
);
$wp_customize->add_setting(
    'iPartySocialLinkTen',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'iPartySocialLinkTen',
    array(
        'section' => 'iPartySocialLinks',
        'label'   =>   __( 'Social Link 10', 'iparty' ),
        'type'    => 'text',
    )
);
//color section
$wp_customize->add_setting(
      'iPartyThemeColor',
      array(
          'default' => '#FCA311',
          'capability'     => 'edit_theme_options',
          'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'iPartyThemeColor',
        array(
            'label'      => __('Theme Color ', 'iparty'),
            'section' => 'colors',
            'priority' => 10
        )
      )
    );
}
add_action( 'customize_register', 'IpartyCustomizeRegister' );
function iPartyCustomCss(){ ?>
    <style type="text/css">
        .main-logo span{ color: #<?php header_textcolor(); ?>}
        .blog-sidebar h2:after,
        .blog-sidebar #today,
        .blog-sidebar ul li a:after,
        #menu-line,
        .bloginner-content-part h3:after,
        .leave_form p.form-submit:before {background: <?php echo esc_attr(get_theme_mod('iPartyThemeColor','#ff3d2e')); ?>; }
        .blog-info ul li a:hover, .blog-info h3:hover, .blog-sidebar ul li a:hover {color: <?php echo esc_attr(get_theme_mod('iPartyThemeColor','#ff3d2e')); ?>;}
        <?php $iPartyColour = get_theme_mod('iPartyThemeColor');
            $iPartyBrightness = 0.9;
            $iPartyNewColour = iPartyColourBrightness($iPartyColour,$iPartyBrightness); ?>
        .leave_form p.form-submit:active:before,
        .leave_form p.form-submit:focus:before,
        .leave_form p.form-submit:hover:before,
        .blog-btn-link a:active:before,
        .blog-btn-link a:focus:before,
        .blog-btn-link a:hover:before,.blog-btn-link a::before{box-shadow: inset 10px 0 0px 0px <?php echo esc_attr($iPartyNewColour); ?>, inset -10px 0 0px 0px <?php echo esc_attr($iPartyNewColour); ?>;background:<?php echo esc_attr($iPartyNewColour);?>;}
        .brandText {
            <?php if(get_theme_mod('header_text') == 1) : ?>
                position: relative;
            <?php else : ?>
                clip: rect(1px 1px 1px 1px);
                position: absolute;
            <?php endif; ?>
        }
		button.search-submit,.footer-copyright{background:  <?php echo esc_attr($iPartyNewColour); ?>;}
		.nav-links span:hover, .nav-links a:hover,.nav-links .current{
			background:  <?php echo esc_attr($iPartyNewColour); ?>;
			border-color: <?php echo esc_attr($iPartyNewColour); ?>;
		}
		#cssmenu, #cssmenu ul, #cssmenu ul li, #cssmenu ul li a, #cssmenu #menu-button,#cssmenu ul ul li a:hover{color:<?php echo esc_attr($iPartyNewColour); ?>;}
    </style>
<?php }
add_action('wp_head','iPartyCustomCss',900);
