<?php
/*
Widget Name: Contact
Description: This is widget to show latest post which combines with iParty.
Author: Indigo Themes
Author URI: http://indigothemes.com/
*/
class iparty_contact extends SiteOrigin_Widget {
	function __construct() {
		parent::__construct(
			'contact',
			__('iParty Contact', 'iparty'),
			array(
				'description' => __('A widget for simple contact form for your user to get hold of you(exclusive for contact form 7).', 'iparty'),
				'panels_icon' => 'dashicons widget-icon',
				'panels_groups' => array('iparty_group')
			),
			array(

			),
			$form_options = array(
				'contact_title' => array(
			        'type' => 'text',
			        'label' => __( 'Enter Shortcode', 'iparty'),
				),
				'contact_form' => array(
			        'type' => 'text',
			        'label' => __( 'Enter Shortcode', 'iparty'),
				),
			),
			plugin_dir_path(__FILE__)
		);
	}
	function get_template_name($instance) {
		return 'template';
	}

	function get_style_name($instance) {
	}
	function get_less_variables($instance){
		if( empty( $instance ) ) return array();
		return array(
		);
	}
}
siteorigin_widget_register('contact', __FILE__, 'iparty_contact');