<?php
/*
 * Archive Template File.
 */
get_header(); ?>
<!--archive posts start-->
<div class="page-heading-blog">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="blog-breadcrumb">
                    <h4><?php _e('Archive ','iparty'); the_archive_title(); ?></h4>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Content part start here -->
<section id="blogcontent">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-9 ">
                <div class="row">
                    <div class="blog-content-part">
                    	<?php  get_template_part('content'); ?><!-- end -->
                    </div>
                </div>
                <?php the_posts_pagination( array(
                    'mid_size'           => 1,
                    'prev_text'          => __( 'Previous', 'iparty' ),
                    'next_text'          => __( 'Next', 'iparty' ),
                    'screen_reader_text' => __( 'Posts navigation', 'iparty'),
                ) ); ?>
            </div>
            <div class="">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>
<!-- Content part end here -->
<?php get_footer(); ?>