<?php
// Process the post selector pseudo query.
$processed_query = array('post_type' => 'post',post_status => 'publish','posts_per_page' => '3',ignore_sticky_posts=>true,'meta_query' => array(array('key' => '_thumbnail_id')));
// Use the processed post selector query to find posts.
$query_result = new WP_Query( $processed_query );
$index = 0; ?>
<section class="ourBlog">
    <div class="container">
        <div class="row">
            <?php if($query_result->have_posts()) :
                while($query_result->have_posts()) : $query_result->the_post();
                    if(has_post_thumbnail()):
                    if($index == 0): ?>
                        <div class="col-sm-12 col-md-6">
                            <div class="blogLeftContent" style="background-image:url(<?php echo get_the_post_thumbnail_url(get_the_ID()); ?>);">
                                <div class="row">
                                    <div class="col-xs-12 col-sm-6">
                                        <div class="blogLeftInner">
                                            <ul>
                                                <li><?php echo esc_html(get_the_date('dS')); ?></li>
                                                <li><?php echo esc_html(get_the_date('F')); ?></li>
                                                <li><?php echo esc_html(get_the_date('Y')); ?></li>
                                            </ul>
                                            <h3><?php the_title(); ?></h3>
                                            <p><?php echo wp_trim_words( get_the_content(), 30, '...' ); ?></p>
                                            <a href="<?php the_permalink(); ?>" class="buttonHoverEffect"><?php esc_html_e('Read More','iparty'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php else: ?>
                        <div class="col-sm-12 col-md-6">
                            <div class="row">
                                <div class="col-xs-12 col-sm-12">
                                    <div class="blogRightFirst" style="background-image:url(<?php echo get_the_post_thumbnail_url(get_the_ID()); ?>);">
                                        <div class="blogRightBg">
                                            <ul>
                                                <li><?php echo esc_html(get_the_date('dS')); ?></li>
                                                <li><?php echo esc_html(get_the_date('F')); ?></li>
                                                <li><?php echo esc_html(get_the_date('Y')); ?></li>
                                            </ul>
                                            <h3><?php the_title(); ?></h3>
                                            <a href="<?php the_permalink(); ?>" class="buttonHoverEffect"><?php esc_html_e('Read Article','iparty'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endif;
                    endif;
                    $index++; ?>
            <?php wp_reset_query(); endwhile; endif; ?>
        </div>
    </div>
</section>