<?php
/*
 * The Header template for theme
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class();?>>
    <header>
        <!-- HeaderMenu Start -->
        <div id="HeaderMenu" class="navbar">
            <div class="container">
                <div class="menuTop">
                    <div class="main-logo">
                        <?php 
                            $iPartylogoImage = '';
                            if (function_exists('get_custom_logo')) {
                                $iPartyLogoImage = has_custom_logo(); 
                                $iPartyOutputLogo = get_custom_logo();
                            }
                            if(!empty($iPartyLogoImage)){
                                echo $iPartyOutputLogo;
                            } ?>
                    </div>
                    <div class="brandText">
                        <span><?php echo get_bloginfo('name'); ?><small><br /><?php echo get_bloginfo('description'); ?></small></span>
                    </div>
                    <!-- Logo start -->
                    <!-- Menu start -->
                    <div id="cssmenu">
                        <?php
                            if (has_nav_menu('primary')) {
                                $iPartyDefaults = array(
                                    'theme_location' => 'primary',
                                    'container' => 'none',
                                    'items_wrap' => '<ul class="mobilemenu">%3$s</ul>',
                                );
                                wp_nav_menu($iPartyDefaults);                                        
                            }
                        ?>
                    </div>
                    <!-- Menu end -->
                </div>
            </div>
        </div>
        <!-- end HeaderMenu -->
    </header>