<?php
/*
 * Search Template File
 */
get_header(); ?>
<div class="page-heading-blog">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="blog-breadcrumb">
                    <h4><?php _e('Search results for', 'iparty');
                echo " : " . get_search_query(); ?></h4>
                </div>
            </div>
        </div>
    </div>
</div>
<?php if (have_posts()) : ?>
    <section id="blogcontent">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-9 ">
                <div class="row">
                    <div class="blog-content-part">
                    	<?php  get_template_part('content'); ?><!-- end -->
                    </div>
                </div>
                <?php the_posts_pagination( array(
                    'mid_size'           => 1,
                    'prev_text'          => __( 'Previous', 'iparty' ),
                    'next_text'          => __( 'Next', 'iparty' ),
                    'screen_reader_text' => __( 'Posts navigation', 'iparty'),
                ) ); ?>
            </div>
            <div class="">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>
<?php else : ?>
    <section id="blogcontent">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-9">
                    <div class="blog-content-area fadeIn animated">
                        <div class="search-area">
                            <p class="spage">
                            <?php _e('Sorry, but nothing matched your search terms. Please try again with some different keywords', 'iparty'); ?>.</p>
                            <?php get_search_form(); ?>
                        </div>
                    </div>
                </div>
                <div><?php get_sidebar(); ?></div>
            </div>
        </div>
    </section>
<?php endif; get_footer(); ?>