<?php
/*
* Single Post template file
*/
get_header(); ?>
<div class="page-heading-blog">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="blog-breadcrumb">
                    <h4><?php the_title(); ?></h4>
                </div>
            </div>
        </div>
    </div>
</div>
<section id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-9">
                <?php while ( have_posts() ) : the_post(); ?>
                <div>
                    <h3  class="bloginner-content-part"><?php the_title(); ?></h3>
                    <div class="blog-info">
                        <?php IpartySingleMeta(); ?>
                    </div>
                    <?php if(has_post_thumbnail()) : ?>
                        <div class="blog-img">
                            <?php the_post_thumbnail( 'ipartyBlogThumbnailImage', array( 'alt' => get_the_title(), 'class' => 'img-responsive') ); ?>
                        </div>
                    <?php endif;
                        the_content();
                        wp_link_pages( array(
                            'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'iparty' ) . '</span>',
                            'after'       => '</div>',
                            'link_before' => '<span>',
                            'link_after'  => '</span>',
                            'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'iparty' ) . ' </span>%',
                            'separator'   => '<span class="screen-reader-text">, </span>',
                        ) );
                        // Previous/next page navigation.
                        the_post_navigation( array(
                            'prev_text'          => __( 'Previous page', 'iparty' ),
                            'next_text'          => __( 'Next page', 'iparty' ),
                            'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'iparty' ) . ' </span>',
                        ) ); ?>
                    <div class="comment-part"><?php comments_template('', true); ?></div>
                    <!-- comment-part End -->
                </div>
                <?php 
                endwhile; ?>
            </div>
            <div><?php get_sidebar(); ?></div>
        </div>
    </div>
</section>
<?php get_footer(); ?>